from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create data folder"

    def createFolderIfNotExisting(self,folder):

        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
            except:
                self.logMesg("warn", "Creating data folder %s failed" %folder)

    def bootstrap(self):
        self.createFolderIfNotExisting(self.cfg['ELASTICSEARCH_DATA_DIR'])
        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['ELASTICSEARCH_USER'], self.cfg['ELASTICSEARCH_GROUP'], self.cfg['ELASTICSEARCH_DATA_DIR']), self.log)

